SoVRMLDirectionalLight(3)

NAME
SoVRMLDirectionalLight - The SoVRMLDirectionalLight class is a node type for specifying directional light sources.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLDirectionalLight.h>

Inherits SoVRMLLight.

  Public Member Functions
virtual SoType getTypeId (void) const
SoVRMLDirectionalLight (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFVec3f direction

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLDirectionalLight ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLDirectionalLight class is a node type for specifying directional light sources. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

DirectionalLight {
  exposedField SFFloat ambientIntensity  0        # [0,1]
  exposedField SFColor color             1 1 1    # [0,1]
  exposedField SFVec3f direction         0 0 -1   # (-inf,inf)
  exposedField SFFloat intensity         1        # [0,1]
  exposedField SFBool  on                TRUE
}

The DirectionalLight node defines a directional light source that illuminates along rays parallel to a given 3-dimensional vector. A description of the ambientIntensity, color, intensity, and on fields is in 4.6.6, Light sources (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.6).

The direction field specifies the direction vector of the illumination emanating from the light source in the local coordinate system. Light is emitted along parallel rays from an infinite distance away. A directional light source illuminates only the objects in its enclosing parent group. The light may illuminate everything within this coordinate system, including all children and descendants of its parent group. The accumulated transformations of the parent nodes affect the light. DirectionalLight nodes do not attenuate with distance. A precise description of VRML's lighting equations is contained in 4.14, Lighting model (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.14).

Constructor & Destructor Documentation

  SoVRMLDirectionalLight::SoVRMLDirectionalLight (void)
Constructor.

  SoVRMLDirectionalLight::~SoVRMLDirectionalLight () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLDirectionalLight::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLDirectionalLight::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLLight.

  const SoFieldData ** SoVRMLDirectionalLight::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLDirectionalLight::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLLight.

  void SoVRMLDirectionalLight::initClass (void) [static]

  void SoVRMLDirectionalLight::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoVRMLLight.

Member Data Documentation

  SoSFVec3f SoVRMLDirectionalLight::direction
The light direction.

Author

Generated automatically by Doxygen for Coin from the source code.